Metric Policy
Create a metric policy
Creates a new metric policy. Policies define which metrics to collect and under what conditions.
POST
/
v1
/
metric
/
policies
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const metricPolicy = await client.metricPolicy.create({
metrics: [{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' }],
modality: 'call',
name: 'Evaluate all inbound calls',
});
console.log(metricPolicy.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
metric_policy = client.metric_policy.create(
metrics=[{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}],
modality="call",
name="Evaluate all inbound calls",
)
print(metric_policy.data)curl --request POST \
--url https://api.roark.ai/v1/metric/policies \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "Evaluate all inbound calls",
"modality": "call",
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"status": "ACTIVE",
"conditions": [
{
"conditions": [
{
"conditionKey": "<string>",
"conditionValue": "<string>"
}
]
}
]
}
'
{
"data": {
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"conditions": [
{
"conditions": [
{
"conditionKey": "<string>",
"conditionValue": "<string>"
}
]
}
],
"metrics": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"createdAt": "<string>",
"updatedAt": "<string>"
}
}{
"type": "validation",
"code": "invalid_parameter",
"message": "The request was invalid",
"param": "email"
}{
"type": "authentication",
"code": "unauthorized",
"message": "Authentication required"
}{
"type": "forbidden",
"code": "permission_denied",
"message": "You do not have permission to access this resource"
}{
"type": "rate_limit",
"code": "too_many_requests",
"message": "Rate limit exceeded"
}{
"type": "internal",
"code": "internal_error",
"message": "Internal server error"
}Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
application/json
Input for creating a new metric policy
Name of the metric policy
Minimum string length:
1Example:
"Evaluate all inbound calls"
Modality this policy targets. A policy fires for exactly one modality and can only reference metrics that support that modality.
Available options:
call, chat Example:
"call"
Metric definitions to collect when this policy matches
Minimum array length:
1Show child attributes
Show child attributes
Status of the policy (default: ACTIVE)
Available options:
ACTIVE, INACTIVE Example:
"ACTIVE"
Condition groups. Omit to match all calls.
Show child attributes
Show child attributes
Response
The created metric policy
A metric policy defining when metrics should be collected
Show child attributes
Show child attributes
Previous
Get metric policy by IDReturns a specific metric policy with its conditions and metrics.
Next
⌘I
JavaScript
import Roark from '@roarkanalytics/sdk';
const client = new Roark({
bearerToken: process.env['ROARK_API_BEARER_TOKEN'], // This is the default and can be omitted
});
const metricPolicy = await client.metricPolicy.create({
metrics: [{ id: '182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e' }],
modality: 'call',
name: 'Evaluate all inbound calls',
});
console.log(metricPolicy.data);import os
from roark_analytics import Roark
client = Roark(
bearer_token=os.environ.get("ROARK_API_BEARER_TOKEN"), # This is the default and can be omitted
)
metric_policy = client.metric_policy.create(
metrics=[{
"id": "182bd5e5-6e1a-4fe4-a799-aa6d9a6ab26e"
}],
modality="call",
name="Evaluate all inbound calls",
)
print(metric_policy.data)